KDE 4.7 PyKDE API Reference

- KDE's Python API

# Notifier Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject
Namespace: Phonon.BackendCapabilities

## Detailed Description

\class Notifier backendcapabilities.h phonon/BackendCapabilities Notifications about backend capabilities.

## Signals
| availableAudioCaptureDevicesChanged ()
| availableAudioOutputDevicesChanged ()
| capabilitiesChanged ()

## Signal Documentation

availableAudioCaptureDevicesChanged | ( |  | ) |

This signal is emitted when audio capture devices were plugged or unplugged.

Check BackendCapabilities.availableAudioCaptureDevices to get the current list of available devices.

Signal syntax:
  `QObject.connect(source, SIGNAL("availableAudioCaptureDevicesChanged()"), target_slot)`

availableAudioOutputDevicesChanged | ( |  | ) |

This signal is emitted when audio output devices were plugged or unplugged.

Check BackendCapabilities.availableAudioOutputDevices to get the current list of available devices.

Signal syntax:
  `QObject.connect(source, SIGNAL("availableAudioOutputDevicesChanged()"), target_slot)`

capabilitiesChanged | ( |  | ) |

This signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.

Signal syntax:
  `QObject.connect(source, SIGNAL("capabilitiesChanged()"), target_slot)`